- name: Set backup name
  ansible.builtin.set_fact:
    velero_backup_name: "{{ k8s_velero_schedule_config.name }}-ondemand-{{ '%Y%m%d%H%M%S' | strftime }}"

- name: Create backup
  kubernetes.core.k8s:
    state: present
    namespace: "{{ k8s_velero_namespace }}"
    template: 'backup.yml.j2'
    wait: true
    wait_timeout: 300

- name: Wait backup to complete
  kubernetes.core.k8s_info:
    kind: Backup
    api_version: velero.io/v1
    name: "{{ velero_backup_name }}"
    namespace: "{{ k8s_velero_namespace }}"
  register: backup_location
  until:
    - "'status' in backup_location.resources[0]"
    - backup_location.resources[0].status.phase == "Completed"
  retries: 30
  delay: 10
